io.vertx.kafka.client.common.tracing

## Enum TraceTags

- java.lang.Object
- - java.lang.Enum<TraceTags>
  - - io.vertx.kafka.client.common.tracing.TraceTags

- All Implemented Interfaces:
    Serializable, Comparable<TraceTags>

      public enum TraceTags
      extends Enum<TraceTags>

  Tags for Kafka Tracing

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUS_DESTINATION`
    `PEER_ADDRESS`
    `PEER_HOSTNAME`
    `PEER_PORT`
    `PEER_SERVICE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TraceTags` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TraceTags[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PEER_ADDRESS

          public static final TraceTags PEER_ADDRESS

    - #### PEER_HOSTNAME

          public static final TraceTags PEER_HOSTNAME

    - #### PEER_PORT

          public static final TraceTags PEER_PORT

    - #### PEER_SERVICE

          public static final TraceTags PEER_SERVICE

    - #### BUS_DESTINATION

          public static final TraceTags BUS_DESTINATION

  - ### Method Detail

    - #### values

          public static TraceTags[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TraceTags c : TraceTags.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TraceTags valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2023 Eclipse. All rights reserved.